Subject: RE: [Simple] xcap/geopriv alignment issue 8: exceptions

From: [email-masked]
Date: Wed, 3 Dec 2003 15:55:33 +0200

Hi,

I agree with the logic that domain and exception are closely linked, and maybe also the external list.

It would be OK to do these as a separate specification. However, I think they are extremely important, and this separate specification should be done ASAP, preferably at the same time as the baseline specification. At least we have no use for XCAP-based authorization in our products if domains, external lists and exceptions are not supported. I think they are also requirements for 3GPP's presence work.

So, to put it simply: I have a strong opinion that domain, external list and exception are needed in the initial phase.

Regards,
	Markus

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]On Behalf Of
> ext Jonathan Rosenberg
> Sent: 02 December, 2003 22:58
> To: Robert Sparks
> Cc: Trossen Dirk (NRC/Boston); Ben Campbell; Khartabil Hisham
> (NMP-MSW/Helsinki); [email-masked]
> Subject: Re: [Simple] xcap/geopriv alignment issue 8: exceptions
> 
> 
> I wanted to float a proposal that Ben made to me privately. Not sure 
> if it will help here.
> 
> The suggestion is to move the domain and on-list elements into this 
> separate specification as well. The logic here is that, if you do 
> support policies based on domains or lists, you need exception 
> processing for them to work. Since the two go hand in hand, but them 
> in a separate spec. Thus, the main spec would just deal with 
> permissions granted to specific users, and the extension spec deals 
> with group and domain permissions.
> 
> Would people be comfortable with that?
> 
> Thanks,
> Jonathan R.
> 
> Robert Sparks wrote:
> 
> > On Wed, 2003-11-26 at 08:41, [email-masked] wrote:
> > 
> >>>-----Original Message-----
> >>>From: [email-masked] 
[mailto:[email-masked]]On Behalf Of
>>>ext Robert Sparks
>>>Sent: Wednesday, November 26, 2003 1:36 AM
>>>To: Ben Campbell
>>>Cc: Khartabil Hisham (NMP-MSW/Helsinki); [email-masked];
>>>[email-masked]
>>>Subject: Re: [Simple] xcap/geopriv alignment issue 8: exceptions
>>>
>>>
>>>(speaking from the floor)
>>>
>>>In the presence/IM systems I've been using on a daily basis for
>>>some time now, I do not have a way to say "Allow everybody in
>>>foo.com except bar" and I still find these systems useful.
>>>
>>
>>Shall we conclude from this that current restrictions of systems is a useful measure to build future systems?
> 
> 
> You should conclude from this that there are environments in which
> being able to state exceptions is not a requirement. 
> 
> 
>>I do believe that exceptions would be useful, in particular in inter-domain and interoperable systems. Since I believe that's what is tried to be built, exceptions should be considered. 
> 
> 
> I also believe exceptions would be useful. Very useful. I'm not arguing
> against supporting them. I am suggesting that it would be acceptable to
> have a base system that _didn't_ have them and an extension that does.
> 
> 
> 
>>Dirk
> 
> 

-- 
Jonathan D. Rosenberg, Ph.D.                600 Lanidex Plaza
Chief Technology Officer                    Parsippany, NJ 07054-2711
dynamicsoft
[email-masked]                     FAX:   (973) 952-5050
http://www.jdrosen.net                      PHONE: (973) 952-5000
http://www.dynamicsoft.com

_______________________________________________
Simple mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/simple

_______________________________________________
Simple mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/simple